module Ecom
  module Core
    class ProjectsController < ApplicationController
      before_action :set_project, only: %i[show]
      # GET /projects
      def index
        projects = Ecom::Core::Project.includes(:employer, :contractor, :consultant, :project_manager)
                                      .where(company_id: params[:id])
        serialized = ActiveModelSerializers::SerializableResource.new(projects)
        render json: { success: true, data: serialized }
      end

      def show
        render json: @project
      end

      private

      def set_project
        @project = Project.find(params[:id])
      end

      def model_params
        params.require(:project).permit(:name, :description, :location, :objective, :project_scope, :employer_id,
                                        :contractor_id, :consultant_id, :project_manager_id, :contract_number,
                                        :company_id, :date_contract_signed, :commencement_date, :completion_date,
                                        :contract_amount, :advance_payment, :retention, :remark, :task_template_type_id,
                                        :currency_id)
      end
    end
  end
end
