module Ecom
  module Core
    class UnitCostsController < ApplicationController
      before_action :set_service, only: %i[update]

      def index
        unit_costs = UnitCost.where(active: true)
        serialized = ActiveModelSerializers::SerializableResource.new(unit_costs)
        render json: { success: true, data: serialized }
      end

      def create
        unit_cost = UnitCost.new(unit_cost_params)
        if unit_cost.save
          render json: unit_cost, status: :created
        else
          render json: { success: false, errors: unit_cost.errors }, status: :unprocessable_entity
        end
      end

      private

      def unit_cost_params
        params.require(:unit_cost).permit(:resource_type_id, :quantity, :measurement_unit_id,
                                          :price, :currency_id, :utilization_factor, :effective_date, :set_by_id)
      end
    end
  end
end
