module Ecom
  module Core
    class CrewContractTransaction < ApplicationRecord
      PENDING = 'Pending'.freeze
      EXECUTED = 'Executed'.freeze

      STATUSES = [PENDING, EXECUTED].freeze

      TXN_UPDATE_CREW_TYPE = 'TXN_UPDATE_CREW_TYPE'.freeze
      TXN_UPDATE_WAGE = 'TXN_UPDATE_WAGE'.freeze
      TXN_UPDATE_VALIDITY = 'TXN_UPDATE_VALIDITY'.freeze
      TXN_UPDATE_PLACE_OF_WORK = 'TXN_UPDATE_PLACE_OF_WORK'.freeze
      TXN_TERMINATE_CONTRACT = 'TXN_TERMINATE_CONTRACT'.freeze

      TRANSACTION_TYPES = [TXN_UPDATE_CREW_TYPE,
                           TXN_UPDATE_WAGE, TXN_UPDATE_VALIDITY,
                           TXN_UPDATE_PLACE_OF_WORK,
                           TXN_TERMINATE_CONTRACT].freeze

      validates :status, :transaction_type, :crew_contract_id,
                :crew_contract, :effective_date, presence: true

      validates :status, inclusion: STATUSES
      validates :transaction_type, inclusion: TRANSACTION_TYPES

      belongs_to :crew_contract
    end
  end
end
