module Ecom
  module Core
    class EquipmentLocation < ApplicationRecord
      belongs_to :location_type

      validates :name, :address, presence: true
      validates :name, uniqueness: true

      scope :service_providers, lambda {
        joins(:location_type).where(
          'ecom_core_lookups.name = ? AND ecom_core_lookups.type = ?',
          LocationType::SERVICE_PROVIDER,
          Ecom::Core::LocationType
        )
      }

      scope :stores, lambda {
        joins(:location_type).where(
          'ecom_core_lookups.name = ? AND ecom_core_lookups.type = ?',
          LocationType::STORE,
          Ecom::Core::LocationType
        )
      }
    end
  end
end
