module Ecom
  module Core
    class LookaheadPlanTaskProgress < ApplicationRecord
      belongs_to :lookahead_plan
      belongs_to :task

      validates :lookahead_plan_id, :lookahead_plan, :task_id, :task, :started_on, :ended_on,
                :lookahead_plan_revision_number, presence: true

      validates_numericality_of :lookahead_plan_revision_number,
                                greater_than_or_equal_to: 0

      validate :date_range_validator

      def date_range_validator
        return unless started_on && ended_on && started_on > ended_on

        errors.add(:base, 'Ended on cannot be before started on')
      end
    end
  end
end
