module Ecom
  module Core
    class MaterialSubType < ApplicationRecord
      after_save :create_material_identity

      belongs_to :material_type
      has_many :material_identity

      validates :name, presence: true, uniqueness: { case_sensitive: false, scope: :material_type_id }
      validates :material_type_id, :material_type, presence: true

      def create_material_identity
        Ecom::Core::MaterialIdentity.create(
          material_type_id: material_type_id,
          material_sub_type_id: id
        )
      end
    end
  end
end
