module Ecom
  module Core
    class ResourceRequisition < ApplicationRecord
      DRAFT = 'Draft'.freeze
      SUBMITTED = 'Submitted'.freeze
      APPROVED = 'Approved'.freeze
      REJECTED = 'Rejected'.freeze

      STATUSES = [DRAFT, SUBMITTED, APPROVED, REJECTED].freeze

      belongs_to :lookahead_plan
      belongs_to :reviewed_by, class_name: 'Ecom::Core::User', optional: true
      belongs_to :approved_by, class_name: 'Ecom::Core::User', optional: true
      has_many :resource_requisition_items

      validates :delivery_point, presence: true

      validates :status, presence: true, inclusion: STATUSES
    end
  end
end
