module Ecom
  module Core
    class TaskInspectionChecklist < ApplicationRecord
      NOT_INSPECTED = 'Not Inspected'.freeze
      IN_PROGRESS = 'In Progress'.freeze
      PASS = 'Pass'.freeze
      FAIL = 'Fail'.freeze

      INSPECTION_STATUSES = [NOT_INSPECTED, IN_PROGRESS, PASS, FAIL].freeze

      belongs_to :inspected_by, class_name: 'Ecom::Core::User'
      belongs_to :task

      validates :name, :status, presence: true
      validates :status, inclusion: INSPECTION_STATUSES
    end
  end
end
