module Ecom
  module Core
    class WorkItemResourceRequirementTemplate < ApplicationRecord
      belongs_to :project_work_item_template
      belongs_to :resource_type
      belongs_to :work_item_quantity_measurement_unit, class_name: 'Ecom::Core::MeasurementUnit'
      belongs_to :resource_quantity_measurement_unit, class_name: 'Ecom::Core::MeasurementUnit'

      validates :project_work_item_template_id, :project_work_item_template,
                :resource_type_id, :resource_type, :work_item_quantity_measurement_unit_id,
                :work_item_quantity_measurement_unit, :resource_quantity_measurement_unit_id,
                :resource_quantity_measurement_unit, presence: true

      validates :work_item_quantity, presence: true, numericality: { greater_than: 0 }
      validates :resource_quantity, presence: true, numericality: { greater_than: 0 }
    end
  end
end
