class CreateEcomCoreTaskTemplates < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_task_templates do |t|
      t.string :code, null: false
      t.string :name, null: false
      t.string :description
      t.references :task_template_type,
                   null: false,
                   index: { name: 'tt_on_ttt_indx' },
                   foreign_key: { to_table: :ecom_core_task_template_types }
      t.string :ancestry, index: true
      t.boolean :has_takeoff_fields, null: false, default: false
      t.jsonb :takeoff_fields, null: true
      t.integer :percentage_contribution
      t.integer :task_sequence
      t.boolean :has_inspection, null: false, default: false
      t.boolean :discipline, null: false, default: false
      t.jsonb :task_completion_detail, null: true

      t.timestamps
    end
  end
end
