class CreateEcomCoreProductTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_product_types do |t|
      t.string :name, null: false
      t.references :work_product_template,
                   null: false,
                   index: { name: 'pt_on_wpt_indx' },
                   foreign_key: { to_table: :ecom_core_work_product_templates }
      t.json :dimension

      t.timestamps
    end

    add_index :ecom_core_product_types, %i[name work_product_template_id], unique: true, name: 'wpt_on_pt_name_indx'
  end
end
