class CreateEcomCoreProjects < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_projects do |t|
      t.string :name, null: false
      t.string :description
      t.string :location, null: false
      t.string :objective
      t.string :project_scope
      t.references :employer,
                   null: false,
                   index: { name: 'employer_on_projects_indx' },
                   foreign_key: { to_table: :ecom_core_stakeholders }
      t.references :contractor,
                   null: false,
                   index: { name: 'employer_on_contractor_indx' },
                   foreign_key: { to_table: :ecom_core_stakeholders }
      t.references :consultant,
                   null: false,
                   index: { name: 'employer_on_consultant_indx' },
                   foreign_key: { to_table: :ecom_core_stakeholders }
      t.references :project_manager,
                   null: false,
                   index: { name: 'employer_on_pm_indx' },
                   foreign_key: { to_table: :ecom_core_stakeholders }
      t.references :task_template_type,
                   null: false,
                   index: { name: 'employer_on_tt_indx' },
                   foreign_key: { to_table: :ecom_core_task_template_types }
      t.string :contract_number, null: false
      t.date :date_contract_signed, null: false
      t.date :commencement_date, null: false
      t.date :completion_date, null: false
      t.float :contract_amount, null: false
      t.float :advance_payment, null: false
      t.float :retention, null: false
      t.string :remark
      t.references :currency,
                   null: false,
                   index: { name: 'employer_on_currency_indx' },
                   foreign_key: { to_table: :ecom_core_currencies }
      t.references :company,
                   null: false,
                   index: { name: 'project_on_company_indx' },
                   foreign_key: { to_table: :ecom_core_companies }

      t.timestamps
    end
  end
end
