class CreateEcomCoreUsers < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_users do |t|
      t.string :first_name, null: false
      t.string :last_name, null: false
      t.string :email, null: false
      t.boolean :active, null: false, default: true
      t.string :password_digest
      t.jsonb :projects

      t.timestamps
    end

    create_table :ecom_core_application_modules_users, id: false do |t|
      t.references :user,
                   null: false,
                   index: false,
                   foreign_key: { to_table: :ecom_core_users }
      t.references :application_module,
                   null: false,
                   index: false,
                   foreign_key: { to_table: :ecom_core_application_modules }
    end

    add_index :ecom_core_application_modules_users, %i[user_id application_module_id], name: 'am_on_users_indx'
  end
end
