class CreateEcomCoreUserRoles < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_user_roles do |t|
      t.string :name, index: false
      t.references :application_module,
                   null: false,
                   index: { name: 'ur_on_am_indx' },
                   foreign_key: { to_table: :ecom_core_application_modules }

      t.timestamps
    end

    create_table :ecom_core_users_user_roles, id: false do |t|
      t.references :user,
                   null: false,
                   index: false,
                   foreign_key: { to_table: :ecom_core_users }
      t.references :user_role,
                   null: false,
                   index: false,
                   foreign_key: { to_table: :ecom_core_user_roles }
    end

    add_index :ecom_core_user_roles, %i[name application_module_id], unique: true, name: 'am_name_indx'
    add_index :ecom_core_users_user_roles, %i[user_id user_role_id], unique: true, name: 'users_user_roles_indx'
  end
end
