class CreateEcomCoreWorkPackages < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_work_packages do |t|
      t.string :code, null: false, unique: true
      t.string :name, null: false
      t.string :description
      t.date :start_date
      t.date :end_date
      t.string :location
      t.decimal :budget, precision: 10, scale: 2
      t.string :resource_required
      t.string :concerns
      t.references :site_engineer,
                   null: true,
                   index: { name: 'wp_on_si_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.references :project_manager,
                   null: true,
                   index: { name: 'wp_on_pm_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.references :project,
                   null: false,
                   index: { name: 'wp_on_project_indx' },
                   foreign_key: { to_table: :ecom_core_projects }

      t.timestamps
    end
  end
end
