class CreateEcomCoreWorkProducts < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_work_products do |t|
      t.string :name, null: false
      t.string :description
      t.string :design_reference, unique: true
      t.references :product_group,
                   null: true,
                   index: { name: 'wp_on_pg_indx' },
                   foreign_key: { to_table: :ecom_core_product_groups }
      t.references :work_product_template,
                   null: false,
                   index: { name: 'wpt_on_wp_indx' },
                   foreign_key: { to_table: :ecom_core_work_product_templates }
      t.references :project,
                   null: false,
                   index: { name: 'projects_on_wp_indx' },
                   foreign_key: { to_table: :ecom_core_projects }
      t.string :remark
      t.datetime :start_date
      t.datetime :completion_date

      t.timestamps
    end

    add_index :ecom_core_work_products, %i[design_reference project_id], unique: true, name: 'wp_on_dr_pi_indx'
  end
end
