class CreateEcomCoreCrews < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_crews do |t|
      t.string :employee_id
      t.string :name, null: false
      t.string :address, null: false
      t.string :phone
      t.string :email
      t.string :qualification, null: false
      t.string :employment, null: false
      t.float :wage, null: false
      t.string :wage_in_words
      t.date :employment_date
      t.boolean :sub_contracted, null: false, default: false
      t.string :photo
      t.string :guarantor_name, null: false
      t.string :guarantor_phone, null: false
      t.boolean :active, null: false, default: true
      t.references :crew_type,
                   null: false,
                   index: { name: 'crew_on_ct_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }

      t.timestamps
    end
  end
end
