class CreateEcomCoreWorkOrders < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_work_orders do |t|
      t.string :name
      t.string :reference_number
      t.references :work_package,
                   null: false,
                   index: { name: 'wo_on_wp_indx' },
                   foreign_key: { to_table: :ecom_core_work_packages }
      t.references :assigned_to,
                   null: false,
                   index: { name: 'wo_on_at_indx' },
                   foreign_key: { to_table: :ecom_core_crews }

      t.references :generated_by,
                   null: false,
                   index: { name: 'wo_on_gb_indx' },
                   foreign_key: { to_table: :ecom_core_users }

      t.date :start_date, null: false
      t.date :end_date, null: false
      t.string :status, null: false, default: :new

      t.timestamps
    end
  end
end
