class CreateEcomCoreCrewTimes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_crew_times do |t|
      t.datetime :checkin_time
      t.datetime :checkout_time
      t.float :hours, null: false
      t.string :remark
      t.boolean :revised, null: false, default: false
      t.references :revision_to,
                   null: true,
                   index: { name: 'ct_on_rt_indx' },
                   foreign_key: { to_table: :ecom_core_crew_times }
      t.references :created_by,
                   null: false,
                   index: { name: 'ct_on_cb_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.references :attendance_sheet_entry,
                   null: false,
                   index: { name: 'ct_on_ase_indx' },
                   foreign_key: { to_table: :ecom_core_attendance_sheet_entries }

      t.timestamps
    end
  end
end
