class CreateEcomCoreCustomPaymentDetails < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_custom_payment_details do |t|
      t.string :name, null: false
      t.float :hours, null: false
      t.float :ot_hours, null: false, default: 0
      t.float :base_salary, null: false
      t.float :overtime, null: false
      t.float :gross_salary, null: false
      t.float :tax, null: false, default: 0
      t.float :pension, null: false, default: 0
      t.float :net_salary, null: false
      t.float :net_pay, null: false
      t.float :advance, null: false
      t.float :wage, null: false
      t.string :qualification
      t.references :payment,
                   null: false,
                   index: { name: 'cpd_on_payment_indx' },
                   foreign_key: { to_table: :ecom_core_payments }

      t.timestamps
    end
  end
end
