class CreateEcomCoreEquipmentCategories < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_equipment_categories do |t|
      t.string :name, null: false
      t.string :description
      t.references :equipment_type,
                   null: false,
                   index: { name: 'et_on_ecec_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }

      t.timestamps
    end

    add_index :ecom_core_equipment_categories, %i[name equipment_type_id], unique: true, name: 'ecec_name_et_indx'
  end
end
