class CreateEcomCoreEquipment < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_equipment do |t|
      t.string :name, null: false
      t.string :description
      t.float :minimum_acquisition_time, null: false, default: 0
      t.string :brands, array: true, default: []
      t.references :equipment_category,
                   null: false,
                   index: { name: 'ec_on_ece_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_categories }

      t.timestamps
    end

    add_index :ecom_core_equipment, %i[name equipment_category_id], unique: true
  end
end
