class CreateEcomCoreEquipmentItems < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_equipment_items do |t|
      t.string :name, null: false
      t.string :description
      t.string :status, null: false, default: 'Ready'
      t.string :duty_status, null: false, default: 'Available'
      t.string :serial_number, unique: true
      t.string :brand
      t.string :item_model
      t.float :purchase_price, null: false
      t.date :purchase_date, null: false
      t.float :license_fee
      t.float :tax
      t.references :country,
                   null: false,
                   index: { name: 'equipment_on_country_indx' },
                   foreign_key: { to_table: :ecom_core_lookups }
      t.references :equipment,
                   null: false,
                   index: { name: 'equipment_on_ei_indx' },
                   foreign_key: { to_table: :ecom_core_equipment }
      t.references :current_location,
                   null: false,
                   index: { name: 'equipment_on_el_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_locations }

      t.timestamps
    end
  end
end
