class CreateEcomCoreEquipmentValuations < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_equipment_valuations do |t|
      t.float :equipment_value, null: false
      t.float :residual_value, null: false
      t.float :work_hrs_per_yr, null: false
      t.float :life_year, null: false
      t.float :insurance_premium, null: false
      t.float :fuel_cost_per_hr
      t.float :oil_cost
      t.float :repair_rate
      t.float :rate_of_return
      t.boolean :current, null: false, default: true
      t.references :equipment_item,
                   null: false,
                   index: { name: 'ev_on_ei_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_items }

      t.timestamps
    end
  end
end
