class CreateEcomCoreEquipmentComponents < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_equipment_components do |t|
      t.string :serial_number
      t.string :name, null: false
      t.references :component_type,
                   null: false,
                   index: { name: 'ei_on_ct_indx' },
                   foreign_key: { to_table: :ecom_core_lookups }
      t.references :equipment_item,
                   null: false,
                   index: { name: 'ei_on_ec_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_items }
      t.string :remark

      t.timestamps
    end
  end
end
