class CreateEcomCoreOvertimeSheets < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_overtime_sheets do |t|
      t.date :date, null: false
      t.datetime :opened_at, null: false
      t.datetime :submitted_at
      t.datetime :approved_at
      t.string :remark
      t.string :status, null: false, default: 'Open'
      t.references :site,
                   null: false,
                   index: { name: 'os_on_site_indx' },
                   foreign_key: { to_table: :ecom_core_sites }

      t.timestamps
    end
    add_index :ecom_core_overtime_sheets, %i[date site_id], unique: true
  end
end
