class CreateEcomCoreCrewOvertimes < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_crew_overtimes do |t|
      t.float :raw_hours, null: false
      t.float :hours, null: false, default: 0
      t.string :remark
      t.references :overtime_type,
                   null: false,
                   index: { name: 'ot_on_co_indx' },
                   foreign_key: { to_table: :ecom_core_overtime_types }
      t.references :overtime_sheet_entry,
                   null: false,
                   index: { name: 'ose_on_co_indx' },
                   foreign_key: { to_table: :ecom_core_overtime_sheet_entries }
      t.boolean :revised, null: false, default: false
      t.references :revision_to,
                   null: true,
                   foreign_key: { to_table: :ecom_core_crew_overtimes }
      t.references :created_by,
                   null: false,
                   index: { name: 'cb_on_co_indx' },
                   foreign_key: { to_table: :ecom_core_users }

      t.timestamps
    end
    add_index :ecom_core_crew_overtimes, [:overtime_type_id, :overtime_sheet_entry_id],unique: true, name: 'ot_on_ose_name_indx'
  end
end
