class CreateEcomCoreRequestedItems < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_requested_items do |t|
      t.references :equipment_request,
                   null: false,
                   index: { name: 'ri_on_er_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_requests }
      t.date :start_date, null: false
      t.date :end_date, null: false
      t.references :equipment,
                   null: false,
                   index: { name: 'br_on_equipment_indx' },
                   foreign_key: { to_table: :ecom_core_equipment }
      t.integer :quantity, null: false
      t.string :brand
      t.references :country,
                   null: true,
                   index: { name: 'br_on_country_indx' },
                   foreign_key: { to_table: :ecom_core_lookups }
      t.integer :components, array: true, default: []
      t.string :remark

      t.timestamps
    end
  end
end
