class CreateEcomCoreBookedItems < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_booked_items do |t|
      t.references :booking,
                   null: false,
                   index: { name: 'bei_on_booking_indx' },
                   foreign_key: { to_table: :ecom_core_bookings }
      t.references :requested_item,
                  null: false,
                  index: { name: 'bei_on_ri_indx' },
                  foreign_key: { to_table: :ecom_core_requested_items }
      t.references :equipment_item,
                   null: false,
                   index: { name: 'be_on_ei_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_items }
      t.date :start_date, null: false
      t.date :end_date, null: false
      t.string :remark

      t.timestamps
    end
  end
end
