class CreateEcomCoreCrewContracts < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_crew_contracts do |t|
      t.string :contract_no, null: false, unique: true
      t.string :status, null: false, default: :draft
      t.date :from, null: false
      t.date :to, null: false
      t.string :place_of_work, null: false
      t.float :wage, null: false
      t.string :wage_in_words, null: false
      t.integer :probation_period, null: false
      t.string :contract_type, null: false
      t.boolean :contract_signed, null: false, default: false
      t.date :date_contract_signed
      t.references :crew,
                   null: false,
                   index: { name: 'cc_on_crew_indx' },
                   foreign_key: { to_table: :ecom_core_crews }
      t.references :crew_type,
                   null: false,
                   index: { name: 'cc_on_ct_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }
      t.timestamps
    end
  end
end
