class CreateEcomCoreDimensionElements < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_dimension_elements do |t|

      t.references :work_product,
                   null: false,
                   index: { name: 'dimension_on_wp_indx' },
                   foreign_key: { to_table: :ecom_core_work_products }

      t.references :measurement_unit,
                   null: false,
                   index: { name: 'dimension_on_mu_indx' },
                   foreign_key: { to_table: :ecom_core_measurement_units }

      t.string  :dimension_element_name, null: false
      t.float :amount

      t.timestamps
    end

    add_index :ecom_core_dimension_elements, [:work_product_id, :dimension_element_name], unique: true, name: 'de_on_wp_and_den'
  end
end
