class CreateEcomCoreMaintenanceServiceOrders < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_maintenance_service_orders do |t|
      t.string :title, null: false
      t.string :description
      t.date :start_date
      t.date :end_date
      t.boolean :approved, default: false
      t.string :status, null: false, default: 'New'
      t.string :remark
      t.float :current_reading, null: true
      t.references :equipment_item,
                   null: false,
                   index: { name: 'mso_on_ei_indx' },
                   foreign_key: { to_table: :ecom_core_equipment_items }
      t.references :maintenance_type,
                   null: false,
                   index: { name: 'mso_on_mt_indx' },
                   foreign_key: { to_table: :ecom_core_maintenance_types }
      t.references :prepared_by,
                   null: false,
                   index: { name: 'mso_on_pb_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.references :approved_by,
                   null: true,
                   index: { name: 'mso_on_ab_indx' },
                   foreign_key: { to_table: :ecom_core_users }

      t.timestamps
    end
  end
end
