class CreateEcomCoreMaintenanceCosts < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_maintenance_costs do |t|
      t.references :job_card,
                   null: false,
                   index: { name: 'mc_on_jc_indx' },
                   foreign_key: { to_table: :ecom_core_job_cards }
      t.references :cost_type,
                   null: false,
                   index: { name: 'mc_on_ct_indx' },
                   foreign_key: { to_table: :ecom_core_cost_types }
      t.jsonb :cost_detail, null: false
      t.string :remark
      t.boolean :costs_approved, null: false, default: false

      t.timestamps
    end
  end
end
