class CreateEcomCoreTaskInspectionChecklists < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_task_inspection_checklists do |t|
      t.string :name, null: false
      t.date :date_of_inspection
      t.references :inspected_by,
                   null: true,
                   index: { name: 'tic_on_ib_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.string :status, null: false, default: 'Not Inspected'
      t.string :remark
      t.string :recommendation
      t.references :task,
                   null: false,
                   index: { name: 'tic_on_task_indx' },
                   foreign_key: { to_table: :ecom_core_tasks }
      t.string :standard

      t.timestamps
    end
  end
end
