class CreateEcomCoreUnitCosts < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_unit_costs do |t|
      t.references :resource_type,
                   null: false,
                   index: { name: 'uc_on_rt_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }
      t.float :quantity
      t.references :measurement_unit,
                   null: false,
                   index: { name: 'uc_on_mu_indx' },
                   foreign_key: { to_table: :ecom_core_measurement_units }
      t.float :price
      t.references :currency,
                   null: false,
                   index: { name: 'uc_on_currency_indx' },
                   foreign_key: { to_table: :ecom_core_currencies }
      t.float :utilization_factor, default: 1
      t.date :effective_date
      t.boolean :active, default: true
      t.references :set_by,
                   null: false,
                   index: { name: 'uc_on_user_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      

      t.timestamps
    end
  end
end
