class CreateEcomCoreWorkItemResourceRequirementTemplates < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_work_item_resource_requirement_templates do |t|
      t.references :project_work_item_template,
                   null: true,
                   index: { name: 'wirrl_on_pwit_indx' },
                   foreign_key: { to_table: :ecom_core_project_work_item_templates }

      t.references :resource_type,
                   null: true,
                   index: { name: 'wirrl_on_rt_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }

      t.float :work_item_quantity, null: false

      t.references :work_item_quantity_measurement_unit,
                   null: true,
                   index: { name: 'wirrl_on_wiqmu_indx' },
                   foreign_key: { to_table: :ecom_core_measurement_units }

      t.float :resource_quantity, null: false
      
      t.references :resource_quantity_measurement_unit,
                   null: true,
                   index: { name: 'wirrl_on_rqmu_indx' },
                   foreign_key: { to_table: :ecom_core_measurement_units }

      t.timestamps
    end
  end
end
