class CreateEcomCoreResourceRequisitions < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_resource_requisitions do |t|
      t.references :lookahead_plan,
                   null: false,
                   index: { name: 'rr_on_lp_indx' },
                   foreign_key: { to_table: :ecom_core_lookahead_plans }

      t.references :reviewed_by,
                   null: true,
                   index: { name: 'rr_on_rb_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.references :approved_by,
                   null: true,
                   index: { name: 'rr_on_ab_indx' },
                   foreign_key: { to_table: :ecom_core_users }
      t.string :delivery_point, null:false
      t.string :status, null: false, default: 'Draft'
      
      t.timestamps
    end
  end
end
