class CreateEcomCoreResourceRequisitionItems < ActiveRecord::Migration[6.0]
  def change
    create_table :ecom_core_resource_requisition_items do |t|
      t.references :resource_requisition,
                   null: false,
                   index: { name: 'rri_on_rr_indx' },
                   foreign_key: { to_table: :ecom_core_resource_requisitions }

      t.references :resource_type,
                   null: false,
                   index: { name: 'rri_on_rt_indx' },
                   foreign_key: { to_table: :ecom_core_resource_types }

      t.float :requested_quantity, null: false

      t.references :requested_quantity_measurement_unit,
                   null: false,
                   index: { name: 'rri_on_rqmu_indx' },
                   foreign_key: { to_table: :ecom_core_measurement_units }

      t.float :awaiting_quantity, null: false

      t.references :awaiting_quantity_measurement_unit,
                   null: false,
                   index: { name: 'rri_on_aqmu_indx' },
                   foreign_key: { to_table: :ecom_core_measurement_units }
      t.string :status, null: false, default: 'Pending'
      t.datetime :due_date, null: false
      
      t.timestamps
    end
  end
end
